#include "binop.hpp"

std::string op_name(binop op) {
    switch(op) {
        case PLUS: return "+";
        case MINUS: return "-";
        case TIMES: return "*";
        case DIVIDE: return "/";
        case MODULO: return "%";
        case EQUALS: return "==";
        case LESS_EQUALS: return "<=";
    }
    return "??";
}

std::string op_action(binop op) {
    switch(op) {
        case PLUS: return "plus";
        case MINUS: return "minus";
        case TIMES: return "times";
        case DIVIDE: return "divide";
        case MODULO: return "modulo";
        case EQUALS: return "equals";
        case LESS_EQUALS: return "less_equals";
    }
    return "??";
}
